/**Begin D:\PDM_UPGRADE\PDM1\MRP_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRP_CHANGE_DETAIL') 
 CREATE TABLE T_MRP_CHANGE_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FRECORD_ID BIGINT DEFAULT 0 NOT NULL,
F_S_MATERIEL BIGINT DEFAULT 0 NOT NULL,
F_BILL_OBJ_ID NVARCHAR(50) DEFAULT ' ' NOT NULL,
F_R_SALE_ORG BIGINT DEFAULT 0 NOT NULL,
F_BILL_NO NVARCHAR(100) DEFAULT ' ' NOT NULL,
F_BILL_ID BIGINT DEFAULT 0 NOT NULL,
F_R_BIZ_DATE DATETIME,
F_BILLENTRY_ID BIGINT DEFAULT 0 NOT NULL,
F_BILLENTRY_SEQ BIGINT DEFAULT 0 NOT NULL,
F_BASE_QTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
F_S_BASEUNIT BIGINT DEFAULT 0 NOT NULL,
F_S_ORG BIGINT DEFAULT 0 NOT NULL,
F_BAL_OBJ_ID NVARCHAR(50) DEFAULT ' ' NOT NULL,
F_S_BILLNUM NVARCHAR(100) DEFAULT ' ' NOT NULL,
F_BAL_ID BIGINT DEFAULT 0 NOT NULL,
FBALENTRYID BIGINT DEFAULT 0 NOT NULL,
F_S_ENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FISWEAK CHAR(1) DEFAULT '0' NOT NULL,
F_ORI_QTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
F_REQ_QTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FS_BIZ_DATE DATETIME,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRUNLOG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME
);



/**End D:\PDM_UPGRADE\PDM1\MRP_table.sql **/
